import{s as dn,n as pn,o as cn}from"../chunks/scheduler.9991993c.js";import{S as gn,i as un,g as a,s as r,r as l,A as hn,h as s,f as n,c as o,j as _,u as f,x as u,k as v,y as t,a as m,v as d,d as p,t as c,w as g}from"../chunks/index.7fc9a5e7.js";import{D as $}from"../chunks/Docstring.8180f571.js";import{H as ue}from"../chunks/Heading.e3de321f.js";function xn(Ht){let T,Se,Ne,Ie,W,Ee,V,Xt="🤗 Transformers提供了一个<code>transformers.onnx</code>包，通过利用配置对象，您可以将模型checkpoints转换为ONNX图。",ze,H,At='有关更多详细信息，请参阅导出 🤗 Transformers 模型的<a href="../serialization">指南</a>。',We,X,Ve,A,Rt="我们提供了三个抽象类，取决于您希望导出的模型架构类型：",He,R,jt='<li>基于编码器的模型继承 <a href="/docs/transformers/v4.36.0/zh/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a></li> <li>基于解码器的模型继承 <a href="/docs/transformers/v4.36.0/zh/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a></li> <li>编码器-解码器模型继承 <a href="/docs/transformers/v4.36.0/zh/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a></li>',Xe,j,Ae,h,U,pt,he,Ut="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",ct,O,G,gt,xe,Gt=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,ut,k,B,ht,_e,Bt="Instantiate a OnnxConfig for a specific model",xt,P,J,_t,ve,Jt="Generate inputs to provide to the ONNX exporter for the specific framework",vt,M,K,$t,$e,Kt=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,bt,F,Q,yt,be,Qt="Flag indicating if the model requires using external data format",Re,Y,je,w,Z,Ct,q,ee,wt,ye,Yt="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",Tt,D,te,Ot,Ce,Zt="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",Ue,ne,Ge,re,oe,Be,ae,Je,se,en="每个ONNX配置与一组 <em>特性</em> 相关联，使您能够为不同类型的拓扑结构或任务导出模型。",Ke,ie,Qe,x,me,kt,N,le,Pt,we,tn="Check whether or not the model has the requested features.",Mt,C,fe,Ft,Te,nn="Determines the framework to use for the export.",qt,Oe,rn="The priority is in the following order:",Dt,ke,on="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",Nt,L,de,Lt,Pe,an="Gets the OnnxConfig for a model_type and feature combination.",St,S,pe,It,Me,sn="Attempts to retrieve an AutoModel class from a feature name.",Et,I,ce,zt,Fe,mn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Wt,E,ge,Vt,qe,ln="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ye,Le,Ze;return W=new ue({props:{title:"导出 🤗 Transformers 模型到 ONNX",local:"导出--transformers-模型到-onnx",headingTag:"h1"}}),X=new ue({props:{title:"ONNX Configurations",local:"onnx-configurations",headingTag:"h2"}}),j=new ue({props:{title:"OnnxConfig",local:"transformers.onnx.OnnxConfig",headingTag:"h3"}}),U=new $({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L68"}}),G=new $({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": typing.Iterable[typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L424",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(Dict[str, Any])</p>
`}}),B=new $({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L127",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig for this model</p>
`}}),J=new $({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin'), ForwardRef('ImageProcessingMixin')]"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": typing.Optional[transformers.utils.generic.TensorType] = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L280",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),K=new $({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": typing.Mapping[str, typing.Any]"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L400",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Mapping[str, Tensor]</code></p>
`}}),Q=new $({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),Y=new ue({props:{title:"OnnxConfigWithPast",local:"transformers.onnx.OnnxConfigWithPast",headingTag:"h3"}}),Z=new $({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L443"}}),ee=new $({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": typing.Mapping[str, typing.Mapping[int, str]]"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L550"}}),te=new $({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L454",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ne=new ue({props:{title:"OnnxSeq2SeqConfigWithPast",local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",headingTag:"h3"}}),oe=new $({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/config.py#L590"}}),ae=new ue({props:{title:"ONNX Features",local:"onnx-features",headingTag:"h2"}}),ie=new ue({props:{title:"FeaturesManager",local:"transformers.onnx.FeaturesManager",headingTag:"h3"}}),me=new $({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L85"}}),le=new $({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L711",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),fe=new $({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L628",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The framework to use for the export.</p>
`}}),de=new $({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L736",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>config for the combination</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>OnnxConfig</code></p>
`}}),pe=new $({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L601",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The AutoModel class corresponding to the feature.</p>
`}}),ce=new $({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L678",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instance of the model.</p>
`}}),ge=new $({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/v4.36.0/src/transformers/onnx/features.py#L556",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),{c(){T=a("meta"),Se=r(),Ne=a("p"),Ie=r(),l(W.$$.fragment),Ee=r(),V=a("p"),V.innerHTML=Xt,ze=r(),H=a("p"),H.innerHTML=At,We=r(),l(X.$$.fragment),Ve=r(),A=a("p"),A.textContent=Rt,He=r(),R=a("ul"),R.innerHTML=jt,Xe=r(),l(j.$$.fragment),Ae=r(),h=a("div"),l(U.$$.fragment),pt=r(),he=a("p"),he.textContent=Ut,ct=r(),O=a("div"),l(G.$$.fragment),gt=r(),xe=a("p"),xe.textContent=Gt,ut=r(),k=a("div"),l(B.$$.fragment),ht=r(),_e=a("p"),_e.textContent=Bt,xt=r(),P=a("div"),l(J.$$.fragment),_t=r(),ve=a("p"),ve.textContent=Jt,vt=r(),M=a("div"),l(K.$$.fragment),$t=r(),$e=a("p"),$e.textContent=Kt,bt=r(),F=a("div"),l(Q.$$.fragment),yt=r(),be=a("p"),be.textContent=Qt,Re=r(),l(Y.$$.fragment),je=r(),w=a("div"),l(Z.$$.fragment),Ct=r(),q=a("div"),l(ee.$$.fragment),wt=r(),ye=a("p"),ye.textContent=Yt,Tt=r(),D=a("div"),l(te.$$.fragment),Ot=r(),Ce=a("p"),Ce.innerHTML=Zt,Ue=r(),l(ne.$$.fragment),Ge=r(),re=a("div"),l(oe.$$.fragment),Be=r(),l(ae.$$.fragment),Je=r(),se=a("p"),se.innerHTML=en,Ke=r(),l(ie.$$.fragment),Qe=r(),x=a("div"),l(me.$$.fragment),kt=r(),N=a("div"),l(le.$$.fragment),Pt=r(),we=a("p"),we.textContent=tn,Mt=r(),C=a("div"),l(fe.$$.fragment),Ft=r(),Te=a("p"),Te.textContent=nn,qt=r(),Oe=a("p"),Oe.textContent=rn,Dt=r(),ke=a("ol"),ke.innerHTML=on,Nt=r(),L=a("div"),l(de.$$.fragment),Lt=r(),Pe=a("p"),Pe.textContent=an,St=r(),S=a("div"),l(pe.$$.fragment),It=r(),Me=a("p"),Me.textContent=sn,Et=r(),I=a("div"),l(ce.$$.fragment),zt=r(),Fe=a("p"),Fe.textContent=mn,Wt=r(),E=a("div"),l(ge.$$.fragment),Vt=r(),qe=a("p"),qe.textContent=ln,Ye=r(),Le=a("p"),this.h()},l(e){const i=hn("svelte-u9bgzb",document.head);T=s(i,"META",{name:!0,content:!0}),i.forEach(n),Se=o(e),Ne=s(e,"P",{}),_(Ne).forEach(n),Ie=o(e),f(W.$$.fragment,e),Ee=o(e),V=s(e,"P",{"data-svelte-h":!0}),u(V)!=="svelte-pfau1i"&&(V.innerHTML=Xt),ze=o(e),H=s(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-4zmuwp"&&(H.innerHTML=At),We=o(e),f(X.$$.fragment,e),Ve=o(e),A=s(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-k36o3g"&&(A.textContent=Rt),He=o(e),R=s(e,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-eoh2y4"&&(R.innerHTML=jt),Xe=o(e),f(j.$$.fragment,e),Ae=o(e),h=s(e,"DIV",{class:!0});var b=_(h);f(U.$$.fragment,b),pt=o(b),he=s(b,"P",{"data-svelte-h":!0}),u(he)!=="svelte-1gqzpaz"&&(he.textContent=Ut),ct=o(b),O=s(b,"DIV",{class:!0});var et=_(O);f(G.$$.fragment,et),gt=o(et),xe=s(et,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1lfqihc"&&(xe.textContent=Gt),et.forEach(n),ut=o(b),k=s(b,"DIV",{class:!0});var tt=_(k);f(B.$$.fragment,tt),ht=o(tt),_e=s(tt,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1u54gj1"&&(_e.textContent=Bt),tt.forEach(n),xt=o(b),P=s(b,"DIV",{class:!0});var nt=_(P);f(J.$$.fragment,nt),_t=o(nt),ve=s(nt,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-1oyyynq"&&(ve.textContent=Jt),nt.forEach(n),vt=o(b),M=s(b,"DIV",{class:!0});var rt=_(M);f(K.$$.fragment,rt),$t=o(rt),$e=s(rt,"P",{"data-svelte-h":!0}),u($e)!=="svelte-tenqiw"&&($e.textContent=Kt),rt.forEach(n),bt=o(b),F=s(b,"DIV",{class:!0});var ot=_(F);f(Q.$$.fragment,ot),yt=o(ot),be=s(ot,"P",{"data-svelte-h":!0}),u(be)!=="svelte-coevd"&&(be.textContent=Qt),ot.forEach(n),b.forEach(n),Re=o(e),f(Y.$$.fragment,e),je=o(e),w=s(e,"DIV",{class:!0});var De=_(w);f(Z.$$.fragment,De),Ct=o(De),q=s(De,"DIV",{class:!0});var at=_(q);f(ee.$$.fragment,at),wt=o(at),ye=s(at,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-1bh80il"&&(ye.textContent=Yt),at.forEach(n),Tt=o(De),D=s(De,"DIV",{class:!0});var st=_(D);f(te.$$.fragment,st),Ot=o(st),Ce=s(st,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1kg2yu2"&&(Ce.innerHTML=Zt),st.forEach(n),De.forEach(n),Ue=o(e),f(ne.$$.fragment,e),Ge=o(e),re=s(e,"DIV",{class:!0});var fn=_(re);f(oe.$$.fragment,fn),fn.forEach(n),Be=o(e),f(ae.$$.fragment,e),Je=o(e),se=s(e,"P",{"data-svelte-h":!0}),u(se)!=="svelte-1vrkova"&&(se.innerHTML=en),Ke=o(e),f(ie.$$.fragment,e),Qe=o(e),x=s(e,"DIV",{class:!0});var y=_(x);f(me.$$.fragment,y),kt=o(y),N=s(y,"DIV",{class:!0});var it=_(N);f(le.$$.fragment,it),Pt=o(it),we=s(it,"P",{"data-svelte-h":!0}),u(we)!=="svelte-rlyyl3"&&(we.textContent=tn),it.forEach(n),Mt=o(y),C=s(y,"DIV",{class:!0});var z=_(C);f(fe.$$.fragment,z),Ft=o(z),Te=s(z,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-rshgf5"&&(Te.textContent=nn),qt=o(z),Oe=s(z,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-1wbth9c"&&(Oe.textContent=rn),Dt=o(z),ke=s(z,"OL",{"data-svelte-h":!0}),u(ke)!=="svelte-qby6wj"&&(ke.innerHTML=on),z.forEach(n),Nt=o(y),L=s(y,"DIV",{class:!0});var mt=_(L);f(de.$$.fragment,mt),Lt=o(mt),Pe=s(mt,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-il0adz"&&(Pe.textContent=an),mt.forEach(n),St=o(y),S=s(y,"DIV",{class:!0});var lt=_(S);f(pe.$$.fragment,lt),It=o(lt),Me=s(lt,"P",{"data-svelte-h":!0}),u(Me)!=="svelte-k5ftuy"&&(Me.textContent=sn),lt.forEach(n),Et=o(y),I=s(y,"DIV",{class:!0});var ft=_(I);f(ce.$$.fragment,ft),zt=o(ft),Fe=s(ft,"P",{"data-svelte-h":!0}),u(Fe)!=="svelte-auvjm5"&&(Fe.textContent=mn),ft.forEach(n),Wt=o(y),E=s(y,"DIV",{class:!0});var dt=_(E);f(ge.$$.fragment,dt),Vt=o(dt),qe=s(dt,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-tbalh5"&&(qe.textContent=ln),dt.forEach(n),y.forEach(n),Ye=o(e),Le=s(e,"P",{}),_(Le).forEach(n),this.h()},h(){v(T,"name","hf:doc:metadata"),v(T,"content",_n),v(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,T),m(e,Se,i),m(e,Ne,i),m(e,Ie,i),d(W,e,i),m(e,Ee,i),m(e,V,i),m(e,ze,i),m(e,H,i),m(e,We,i),d(X,e,i),m(e,Ve,i),m(e,A,i),m(e,He,i),m(e,R,i),m(e,Xe,i),d(j,e,i),m(e,Ae,i),m(e,h,i),d(U,h,null),t(h,pt),t(h,he),t(h,ct),t(h,O),d(G,O,null),t(O,gt),t(O,xe),t(h,ut),t(h,k),d(B,k,null),t(k,ht),t(k,_e),t(h,xt),t(h,P),d(J,P,null),t(P,_t),t(P,ve),t(h,vt),t(h,M),d(K,M,null),t(M,$t),t(M,$e),t(h,bt),t(h,F),d(Q,F,null),t(F,yt),t(F,be),m(e,Re,i),d(Y,e,i),m(e,je,i),m(e,w,i),d(Z,w,null),t(w,Ct),t(w,q),d(ee,q,null),t(q,wt),t(q,ye),t(w,Tt),t(w,D),d(te,D,null),t(D,Ot),t(D,Ce),m(e,Ue,i),d(ne,e,i),m(e,Ge,i),m(e,re,i),d(oe,re,null),m(e,Be,i),d(ae,e,i),m(e,Je,i),m(e,se,i),m(e,Ke,i),d(ie,e,i),m(e,Qe,i),m(e,x,i),d(me,x,null),t(x,kt),t(x,N),d(le,N,null),t(N,Pt),t(N,we),t(x,Mt),t(x,C),d(fe,C,null),t(C,Ft),t(C,Te),t(C,qt),t(C,Oe),t(C,Dt),t(C,ke),t(x,Nt),t(x,L),d(de,L,null),t(L,Lt),t(L,Pe),t(x,St),t(x,S),d(pe,S,null),t(S,It),t(S,Me),t(x,Et),t(x,I),d(ce,I,null),t(I,zt),t(I,Fe),t(x,Wt),t(x,E),d(ge,E,null),t(E,Vt),t(E,qe),m(e,Ye,i),m(e,Le,i),Ze=!0},p:pn,i(e){Ze||(p(W.$$.fragment,e),p(X.$$.fragment,e),p(j.$$.fragment,e),p(U.$$.fragment,e),p(G.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(me.$$.fragment,e),p(le.$$.fragment,e),p(fe.$$.fragment,e),p(de.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p(ge.$$.fragment,e),Ze=!0)},o(e){c(W.$$.fragment,e),c(X.$$.fragment,e),c(j.$$.fragment,e),c(U.$$.fragment,e),c(G.$$.fragment,e),c(B.$$.fragment,e),c(J.$$.fragment,e),c(K.$$.fragment,e),c(Q.$$.fragment,e),c(Y.$$.fragment,e),c(Z.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ae.$$.fragment,e),c(ie.$$.fragment,e),c(me.$$.fragment,e),c(le.$$.fragment,e),c(fe.$$.fragment,e),c(de.$$.fragment,e),c(pe.$$.fragment,e),c(ce.$$.fragment,e),c(ge.$$.fragment,e),Ze=!1},d(e){e&&(n(Se),n(Ne),n(Ie),n(Ee),n(V),n(ze),n(H),n(We),n(Ve),n(A),n(He),n(R),n(Xe),n(Ae),n(h),n(Re),n(je),n(w),n(Ue),n(Ge),n(re),n(Be),n(Je),n(se),n(Ke),n(Qe),n(x),n(Ye),n(Le)),n(T),g(W,e),g(X,e),g(j,e),g(U),g(G),g(B),g(J),g(K),g(Q),g(Y,e),g(Z),g(ee),g(te),g(ne,e),g(oe),g(ae,e),g(ie,e),g(me),g(le),g(fe),g(de),g(pe),g(ce),g(ge)}}}const _n='{"title":"导出 🤗 Transformers 模型到 ONNX","local":"导出--transformers-模型到-onnx","sections":[{"title":"ONNX Configurations","local":"onnx-configurations","sections":[{"title":"OnnxConfig","local":"transformers.onnx.OnnxConfig","sections":[],"depth":3},{"title":"OnnxConfigWithPast","local":"transformers.onnx.OnnxConfigWithPast","sections":[],"depth":3},{"title":"OnnxSeq2SeqConfigWithPast","local":"transformers.onnx.OnnxSeq2SeqConfigWithPast","sections":[],"depth":3}],"depth":2},{"title":"ONNX Features","local":"onnx-features","sections":[{"title":"FeaturesManager","local":"transformers.onnx.FeaturesManager","sections":[],"depth":3}],"depth":2}],"depth":1}';function vn(Ht){return cn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wn extends gn{constructor(T){super(),un(this,T,vn,xn,dn,{})}}export{wn as component};
